vutil(8)

NAME
vutil - venus utility program

SYNOPSIS
vutil [-cop COP modes] [ -cs ] [-d debug level] [-mc 0 | 1 ] [-p 0 | 1] [-shutdown] [-stats] [-swap]

DESCRIPTION
vutil dynamically alters various parameters on a running Venus. It reads the value of the file /usr/coda/venus.cache/pid and sends signals to that process. The parameters are:

-cop COP modes
    Controls what Coda Optimistic Protocol (COP) options are enabled. COP modes is interpreted according to the following bit-mask: [PIGGYCOP2 | ASYNCCOP2 | ASYNCCOP1 ]. Only some combinations are legal.

-cs Clears internal counters used in statistics reporting.

-d debug level
    Sets the debug level to debug level. Meaningful values are {0, 1, 10, 100, 1000}.

-mc 0 | 1
    Enable/disables multicast (0 = ``OFF,'' 1 = ``ON'')

-p 0 | 1
    Enables/disables profiling (0 = ``OFF,'' 1 = ``ON'')

-shutdown
    Shuts Venus down gracefully.

-stats
    Causes Venus to dump internal counters and other statistics to its log file.

-swap
    Causes Venus to move its current log file to <log-file>.old and reinitialize <log-file>.

DIAGNOSTICS
Only the super user can run vutil.

FILES
/usr/coda/venus.cache/pid /usr/coda/venus.cahe/venus.log

BUGS
Venus cache directory is assumed to be /usr/coda/venus.cache.

SEE ALSO
venus LEFTPAREN 8)

AUTHOR
Jay Kistler, 1990, Created